Actions

Will my Joomla! 2.5 extensions work with Joomla! 3.x?

From Joomla! Documentation

Revision as of 22:24, 14 April 2013 by Tom Hutchison (Talk | contribs)

Extensions that are native to Joomla 2.5 should work on Joomla 3.0 with very little change, if any. Components and templates will need the most work, while modules and plugins should work without issue (assuming they do not use deprecated methods). Extensions that support Joomla 2.5 and 1.5 in the same package will likely not work right away, until the developers update them for Joomla 3 compatibility.

In short, it depends on the extension. The Joomla Project has made the process relatively easy for most extensions, however for some extensions it’s going to take some work. To be certain, let the developers of the extensions know that you want to use their extension on Joomla 3 and consult with their documentation.